%define ver 0.1.9
%define rel 1mdk

%define prefix /usr

Summary: library to support Bi-directional scripts
Name: fribidi
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Group: System/Libraries
#Icon: 
Source: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi/fribidi-%{ver}.tar.bz2
URL: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi/
BuildRoot: /var/tmp/fribidi

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package devel
Summary: Library implementing the Unicode BiDi algorithm
Group: Development/C
Requires: fribidi = %{ver}

%description devel
The fribidi-devel package includes the static libraries and header files
for the fribidi package.

Install fribidi-devel if you want to develop programs which will use
fribidi.

%changelog
* Sun Apr 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.9-1mdk
- New Group: naming
- updated to 0.1.9
- splitted in a -devel rpm; to make it compatible with the rpms in
  the http://www.pango.org/ site

* Mon Mar 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.8-1mdk
- updated to 0.1.8

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-3mdk
- Use %configure.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

%prep
%setup

%build
if [ ! -x ./configure ];then 
./autoconf.sh --prefix=%{prefix} --sysconfdir=/etc
else
%configure --sysconfdir=/etc
fi
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]'|xargs file|grep troff\
	| cut -d: -f1|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
        file $i|grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog TODO THANKS NEWS
%{prefix}/bin/*

%files devel
%defattr(-, root, root)
%{prefix}/lib/*.a
%{prefix}/include/*
